For the complete documentation index, see llms.txt. This page is also available as Markdown.

Products Get

Returns a list of products available for the given contract (only billable and active)

get
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequired

Contract number

Pattern: [0-9]{5,10}
Query parameters
datestring · dateOptional

Date of interest in format of YYYY-MM-DD

Example: 2025-01-01
Responses
200

Result data

application/json
liabilitystringOptionalExample: Please double check your contract for prices.
get/{contract}/products
GET /billing/{contract}/products HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "metadata": {
    "contractId": "31805900",
    "customerId": "112505406",
    "reference": "31805900"
  },
  "liability": "Please double check your contract for prices.",
  "products": [
    {
      "meterId": "C01000",
      "meterDesc": "1h core AMD",
      "unit": "1hour",
      "unitCost": {
        "quantity": "0.02",
        "unit": "EUR"
      }
    }
  ]
}

Last updated

Was this helpful?